Subject: RE: IDR WG charter

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Tue, 3 Sep 2002 12:56:38 -0400

Yakov and Sue:
 The new charter and existing charter seem to be the same based on this
email
and the IDR working group charter description on the Web at:
http://www.ietf.org/html.charters/idr-charter.html

Am I missing something or are we voting for the same thing?

The only thing that is different in this mail is refusal to accept new draft
proposals. 

If that is the case, I vote "REJECT" the new plan.

Ben

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Tuesday, September 03, 2002 12:44 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: IDR WG charter
> 
> 
> Folks,
> 
> So far we received just two e-mail on the subject of the IDR WG
> charter proposed by Bill and Alex. The WG chairs would like to get
> opinion of the WG members on whether the WG should accept the new
> charter, or stay with the existing one.  With this in mind, please
> send me an e-mail with either "accept" (means accept the new
> charter), or "reject" (means stay with the existing charter). The
> deadline is Sep 17.
> 
> Sue & Yakov.
> ------- Forwarded Message
> 
> Date:    Mon, 26 Aug 2002 07:18:00 -0700
> From:    Yakov Rekhter <[email-masked]>
> To:      [email-masked]
> cc:      [email-masked]
> Subject: IDR WG charter
> 
> Folks,
> 
> Please comment on the revised charter proposed by Bill and Alex
> (see below). The deadline for comments is Sep 10, 2002.
> 
> Sue & Yakov
> - ------- Forwarded Message
> 
> Date:    Thu, 22 Aug 2002 16:11:10 -0700
> From:    Bill Fenner <[email-masked]>
> To:      [email-masked]
> Subject: BGP spec and IDR WG charter
> 
> Dear IDR WG,
> 
>   After some consideration, the Routing Area Directors have decided
> not to forward any IDR documents for IESG consideration until the
> base BGP spec update is finished.[*]  Despite the best efforts of all
> involved, the spec update has been taking an incredible amount of
> time.  We take this step in order to focus all possible resources
> of the WG community on the BGP spec update.
> 
>   This may seem like a negative action.  On the contrary, it is
> meant to support the accomplishment of the working group's goals.[**]
> The milestone for the submission of the BGP4 draft to the IESG
> was scheduled for January 2002.
> 
>   Attached is a proposed update for the IDR working group charter.
> Note that we just made up the dates in the goals and milestones,
> and the WG should come up with realistic ones.
> 
>   Bill and Alex
> 
> [*] "finished" means, in this case, WG consensus, WG Last Call,
> AD Review, IETF Last Call, and IESG approval for publication.
> 
> [**] In further support of the goal of having a quality specification
> that reflects current reality, the ADs have been working on assembling
> a team of reviewers that consists primarily of protocol implementors,
> who have committed their time to examine the spec.  We will be
> sending another message to this list explaining the details of how
> this team will do its work.
> 
> - - - - -
> 
> The Inter-Domain Routing Working Group is chartered to standardize
> and promote the Border Gateway Protocol Version 4 (BGP-4) [RFC
> 1771] capable of supporting policy based routing for TCP/IP internets.
> The objective is to promote the use of BGP-4 to support IP version
> 4 and IP version 6. The working group will continue to work on
> improving the scalability of BGP.
> The current tasks of the WG are limited to:
> 
> - - - Revise and clarify the base BGP4 document (RFC 1771). Note that
> RFC 1771 no longer documents existing practice and one goal of the
> update is document existing practice. Determine whether the document
> can be advanced as full Standard or needs to recycle at Proposed
> or Draft Standard.
> 
> - - - Submit updated MIBs to accompany the revised base BGP4 document.
> 
> Once these tasks are completed, work will progress on the following:
> 
> - - - Review and Evaluate Existing RFCs on AS Confederations and Route
> Reflection. If changes are needed, create and advance revisions.
> 
> - - - Review RFC 2385 (Protection of BGP via TCP MD5 signature) to see
> if any changes need to be made based on current Internet practice
> or based on the changes to the current bgp draft. If changes are
> needed, create an revision. Issue the WG Last Call on advancing
> the document to Draft Standard.
> 
> - - - Produce an updated MIB for AS Confederations, Route Reflection,
> Communities, Multi-Protocol BGP, etc..
> 
> - - - Review and evaluate Multiprotocol BGP (RFC 2858) for advancement
> as Draft Standard.
> 
> - - - Complete work on an Extended Community Attribute. Develop MIB
> for BGP Extended Communities.
> 
> - - - Extend BGP to support a 4-byte AS number, develop plan for
> transitioning to usage of 4-byte AS numbers
> 
> - - - Progress along the IETF standards track a BGP-based mechanism
> that allows a BGP speaker to send to its BGP peer a set of route
> filters that the peer would use to constrain/filter its outbound
> routing updates to the speaker. Currently defined in
> draft-ietf-idr-route-filter-03.txt.
> 
> - - - Progress along standards track an Outbound Router Filter (ORF)
> type for BGP, that can be used to perform aspath based route
> filtering. The ORF-type will support aspath based route filtering
> as well as regular expression based matching for address groups.
> Currently defined in draft-ietf-idr-aspath-orf-00.txt.
> 
> Tasks for this working group are limited to those listed above;
> new items to be added to the charter must be approved by the IESG.
> 
> Goals and Milestones
> 
> DONE    Submit BGP Capability Advertisement to the IESG
> NOV 02  Submit BGP4 document to IESG.
> DEC 02  Submit updated base BGP4 MIB to IESG.
> MAR 03  Submit extensible BGP MIB to IESG.
> MAR 03  Submit Extended Communities draft to IESG.
> MAR 03  Submit 4-byte AS ID to IESG.
> MAR 03  Initial Draft for RFC2858 (if needed)
> MAR 03  BGP TCP MD5 signatures document to IESG.
> MAR 03  Outbound Route Filter, Prefix and ASpath ORF draft to IESG.
> 
> - ------- End of Forwarded Message
> 
> 
> ------- End of Forwarded Message
>

---

From: "Natale, Jonathan" <[email-masked]>
Date: Tue, 3 Sep 2002 13:17:02 -0400

Reject

-----Original Message-----
From: Yakov Rekhter [mailto:[email-masked]] 
Sent: Tuesday, September 03, 2002 12:44 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: IDR WG charter

Folks,

Sue & Yakov.

Folks,

Sue & Yakov

Dear IDR WG,

  Bill and Alex

- - - - -

Goals and Milestones

---

From: "Tom Petch" <[email-masked]>
Date: Tue, 3 Sep 2002 20:03:09 +0100

Accept; I think the ADs have a point

Tom Petch, Network Consultant
[email-masked]

-----Original Message-----
From: Yakov Rekhter <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked]
<[email-masked]>
Date: 03 September 2002 17:43
Subject: IDR WG charter

---

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 4 Sep 2002 10:36:56 -0400

Curtis:

> >   Is it possible to have two groups active at the same 
> time? 1. The current
> > group 
> > which needs to complete active IDR charter tasks as 
> highlighted by Bill
> > Fenner. 
> 
> My initial response would be "no" since the IESG wants to focus the
> effort of the BGP WG and forming a second WG would dilute the effort.
> 
> OTOH if some of the noise could be diverted, maybe forming a new WG
> and not accepting any of their documents would be a good idea.  :-)
> 

The only reason I would suggest having another "Advance IDR Work" working
group is to keep the new drafts/ideas on the burner while the "primary"
working group keep complete its ongoing tasks. This way, the enthusiasm
of contributors is keep alive and the work evolves and progresses nicely.
Also, it could act as a filter for the new work that might be
a bit controversial. 

E.G. Several drafts/ideas proposed to handle route oscillations.

Ben

---

From: Bill Fenner <[email-masked]>
Date: Wed, 4 Sep 2002 07:51:05 -0700

> According to my understanding the ADs are proposing rejecting any new
>drafts that have significance acceptance by list members from becoming
>a working group item. Not advancement to RFC status. E.G. INFORM spec.

The current charter already says that new work needs an updated
charter.  The modification we're proposing is to not progress any
documents to the IESG (the first step for publishing as an RFC)
until the base BGP spec update is.

>That is what the issue at hand is.

That's what the issue was the last time the charter got updated (in
2001, before my term as AD).

  Bill

---

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Thu, 5 Sep 2002 09:41:23 -0400

Alex:
  Fair enough.

Ben

> From: Alex Zinin [mailto:[email-masked]]
> Sent: Wednesday, September 04, 2002 7:16 PM
> To: Abarbanel, Benjamin
> Cc: 'Russ White'; Yakov Rekhter; [email-masked]; [email-masked]
> Subject: Re: IDR WG charter
> 
> 
> Ben-
> 
> > I agree, the protocol should be made stable and accurate 
> according to
> > the majority of its users, ASAP. That should have no 
> significant impact
> > on any new ideas that may or may not be dependent on the 
> existing protocol
> > description. My guess is most of the time these ideas do not require
> > the base protocol to change for them to be feasable.
> 
> I don't want us to keep arguing here, I guess we just disagree.
> I believe that for two parties to come up with the same result
> of (A + b), it is not enough to define b, the exact value of A
> has to be known as well.
> 
> Alex
> 
>